# regexpの簡単な説明
以前に書いたプログラムをダウンロードして確認してもらう

正規言語である「基本3演算子」と括弧のみを用いた正規表現に、与えた文字列が受理されるか確認するプログラム。
正規表現→NFA→DFA を作成する。
作成したオートマトン(NFA,DFA)をそれぞれ表示する。

linux, macOSならmakeでregexpコマンドをビルドできる
```
$ make
```

usage:
regex '基本3演算子を用いた正規表現' '受理するか確認する文字列'

表示するオートマトンは、各行以下の形式:
現在状態ID    移動先状態ID  受理する文字

```例
$ ./regexp 'a|(bc*)' bcccc
===== NFA =====
 1	 2	EPSILON
 2	 3	a
 3	-4	EPSILON
 1	 5	EPSILON
 5	 6	b
 6	 7	EPSILON
 7	 8	c
 8	 9	EPSILON
 9	-4	EPSILON
 8	 7	EPSILON
 6	 9	EPSILON
9


===== DFA =====
 1	-2	a
 1	-3	b
-3	-4	c
-4	-4	c
4


Yes
```
